Bug 1570357 - [abrt] PackageKit: handler_equal(): packagekitd killed by SIGSEGV
Summary: [abrt] PackageKit: handler_equal(): packagekitd killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6e37b1ecb45b86e2b9847c67127...
: 1622356 1640849 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 09:15 UTC by Gwendal
Modified: 2019-05-28 22:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 22:57:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.12 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: cgroup (320 bytes, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: core_backtrace (11.14 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: cpuinfo (1.75 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: dso_list (8.28 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: environ (191 bytes, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: exploitable (112 bytes, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: maps (37.53 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: open_fds (7.77 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: proc_pid_status (1.23 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details
File: var_log_messages (8.20 KB, text/plain)
2018-04-22 09:15 UTC, Gwendal
no flags Details

Description Gwendal 2018-04-22 09:15:29 UTC
Version-Release number of selected component:
PackageKit-1.1.9-3.fc28

Additional info:
reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: handler_equal
executable:     /usr/libexec/packagekitd
journald_cursor: s=1ea630996a164218929f03f658bcc43c;i=267557;b=18ab4c5631c749ddb439c559bce581f2;m=1a493cd3d;t=56a2f3222186c;x=763fa5ed2f9bc7fc
kernel:         4.16.2-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 handler_equal at gsignal.c:457
 #1 g_hash_table_lookup_node at ghash.c:400
 #2 g_hash_table_lookup at ghash.c:1153
 #3 handler_lookup at gsignal.c:474
 #4 g_signal_handler_disconnect at gsignal.c:2631
 #5 client_unref at gdbusnamewatching.c:103
 #6 pk_transaction_finalize at pk-transaction.c:5539
 #8 pk_scheduler_item_free at pk-scheduler.c:209
 #9 pk_scheduler_remove_internal at pk-scheduler.c:238
 #10 pk_scheduler_remove_item_cb at pk-scheduler.c:293

Potential duplicate: bug 1565518

Comment 1 Gwendal 2018-04-22 09:15:36 UTC
Created attachment 1425266 [details]
File: backtrace

Comment 2 Gwendal 2018-04-22 09:15:37 UTC
Created attachment 1425267 [details]
File: cgroup

Comment 3 Gwendal 2018-04-22 09:15:39 UTC
Created attachment 1425268 [details]
File: core_backtrace

Comment 4 Gwendal 2018-04-22 09:15:41 UTC
Created attachment 1425269 [details]
File: cpuinfo

Comment 5 Gwendal 2018-04-22 09:15:44 UTC
Created attachment 1425270 [details]
File: dso_list

Comment 6 Gwendal 2018-04-22 09:15:46 UTC
Created attachment 1425271 [details]
File: environ

Comment 7 Gwendal 2018-04-22 09:15:47 UTC
Created attachment 1425272 [details]
File: exploitable

Comment 8 Gwendal 2018-04-22 09:15:48 UTC
Created attachment 1425273 [details]
File: limits

Comment 9 Gwendal 2018-04-22 09:15:50 UTC
Created attachment 1425274 [details]
File: maps

Comment 10 Gwendal 2018-04-22 09:15:52 UTC
Created attachment 1425275 [details]
File: mountinfo

Comment 11 Gwendal 2018-04-22 09:15:53 UTC
Created attachment 1425276 [details]
File: open_fds

Comment 12 Gwendal 2018-04-22 09:15:55 UTC
Created attachment 1425277 [details]
File: proc_pid_status

Comment 13 Gwendal 2018-04-22 09:15:56 UTC
Created attachment 1425278 [details]
File: var_log_messages

Comment 14 Old Hat 2018-08-26 18:17:15 UTC
*** Bug 1622356 has been marked as a duplicate of this bug. ***

Comment 15 Davi Rafael Fiala 2018-10-18 22:28:21 UTC
*** Bug 1640849 has been marked as a duplicate of this bug. ***

Comment 16 Ben Cotton 2019-05-02 19:23:46 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2019-05-02 20:37:10 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 18 Ben Cotton 2019-05-28 22:57:07 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.